Bug 194479 - Review Request: php-idn
Review Request: php-idn
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-08 09:32 EDT by Robert Scheck
Modified: 2014-10-13 18:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-18 11:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-08 09:32:14 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/php-idn.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/php-idn-1.1-6.src.rpm
Description: This is the PHP API for the GNU LibIDN software made by
Simon Josefsson. It's intention is to have international characters
in the DNS system.
Comment 1 Robert Scheck 2006-06-14 07:51:01 EDT
When I updated bug #194470 to announce the fixed php-magickwand package, I also 
updated php-idn to match with all common things - unfortunately this was during 
the unrecoverable time of Bugzilla...
Comment 2 Hans de Goede 2006-06-17 01:46:01 EDT
On my current testing system I get this:

[hans@localhost ~]$ rpmbuild -ba /usr/src/redhat/SPECS/php-idn.spec 
sh: php-config: command not found
awk: cmd. line:1: fatal: cannot open file `/main/php.h' for reading (No such
file or directory)
error: line 12: Version required: Requires:     php-api =

This is because php-devel isn't installed yet, its BuildRequired, but rpmbuild
first fully parses the spec before checking BR, so this fails. Some discussion
on the mailinglist about a similar problem with python on FC-4 has lead me to
believe that the same will happen on the buildsys when building under mock.
Comment 3 Hans de Goede 2006-06-17 01:50:35 EDT
Ok,

I've found the following "hack" for this, add at the top of your specfile:
# Useful defaults when building in chroots on systems where PHP is unavailable
# during the get BR step of the build
%define default_apiver  20041225
%define php_apiver %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^P

And then change the Requires line to:
Requires:       php-api = %{php_apiver}

The same should be done for php-magickwand btw.
Comment 4 Hans de Goede 2006-06-17 02:02:08 EDT
MUST:
=====
* rpmlint output is clean
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License (GPL) ok, license file included
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on FC5-i386
* BR: ok
* No locales
* No shared libraries (its a plugin)
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed, no libs / .la files.
* no gui -> no .desktop file required


MUST fix:
=========
The use of php-config before the php-devel BR is resolved, see above.
Comment 5 Robert Scheck 2006-06-17 08:02:37 EDT
One line from your comment was trunicated, but I found the complete hack in php-
eaccelerator: %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^PHP API 
=> //p') | tail -1) - it is applied very similar as suggested.
Comment 6 Hans de Goede 2006-06-17 08:39:31 EDT
(In reply to comment #5)
> One line from your comment was trunicated, but I found the complete hack in php-
> eaccelerator: %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^PHP API 
> => //p') | tail -1) - it is applied very similar as suggested.

Aai, sorry about that cut and paste error. Glad you found the full hack yourself.
That fixes the only MUST fix item -> Approved.

And I must say I'm happy with the shown packageing skills sofat and thus I am
willing to sponsor you, go create an account in the account system as described
here:
http://fedoraproject.org/wiki/Extras/Contributors

And then I'll sponsor you after which you can continue with step described at
the above URL. You need to find another reviewer for you other 2 packages
though, I'm no good in perl and ircbots aren't my thing either :)

Comment 7 Robert Scheck 2006-06-18 11:01:23 EDT
11171 (php-idn): Build on target fedora-5-extras succeeded.
11172 (php-idn): Build on target fedora-development-extras succeeded.

as per http://fedoraproject.org/wiki/Extras/Contributors I'll close this
bug report with NEXTRELEASE now. If I did something wrong or when I missed 
something, just tell me.
Comment 8 Jason Tibbitts 2006-06-18 11:26:16 EDT
Are we allowed to approve php packages now?  I thought we were still waiting for
finished guidelines and an update of the core PHP package.
Comment 9 Robert Scheck 2006-06-18 11:42:35 EDT
Jason, didn't I get something or am I lacking any information? I applied last 
must fix before comment #5, FE-ACCEPT was added with comment #6. After getting 
sponsored, I just followed the rest of http://fedoraproject.org/wiki/Packaging/
ReviewGuidelines#head-f3a5010530b260ae2b3d8c835cc6d25e9ac91ceb 

Are there any blockers, show stoppers or further guidelines I'm not aware of? 
And as I'm new to that kind of the FE stuff, I'm very confused now...
Comment 10 Hans de Goede 2006-06-18 15:32:06 EDT
(In reply to comment #8)
> Are we allowed to approve php packages now?  I thought we were still waiting for
> finished guidelines and an update of the core PHP package.

Not that I know of, besides there are alreayd plenty of php packages in extras.
I've read nothing of what you're suggesting. Do you have some pointers for this?

Comment 11 Robert Scheck 2014-10-11 17:28:59 EDT
Package Change Request
======================
Package Name: php-idn
New Branches: epel7
Owners: robert
Comment 12 Kevin Fenzi 2014-10-13 18:55:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.